﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.IO;

namespace _111005_Convert_PDF_to_word.Controllers
{
public class HomeController : Controller
{
    // GET: Home
    public ActionResult Index()
    {
        string pdfFile = Server.MapPath("~/Files/About Mudassar Khan.pdf");
        string docFileName = string.Format("{0}.docx", Path.GetFileNameWithoutExtension(pdfFile));
        string docFilePath = string.Format("~/Files/{0}.docx", Path.GetFileNameWithoutExtension(pdfFile));

        SautinSoft.PdfFocus f = new SautinSoft.PdfFocus();
        f.OpenPdf(pdfFile);
        if (f.PageCount > 0)
        {
            f.WordOptions.Format = SautinSoft.PdfFocus.CWordOptions.eWordDocument.Docx;
            f.ToWord(Server.MapPath(docFilePath));
        }

        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection conn = new SqlConnection(constr))
        {
            string sql = "INSERT INTO Files (Name, FilePath) VALUES(@Name, @Path)";
            using (SqlCommand cmd = new SqlCommand(sql, conn))
            {
                cmd.Parameters.AddWithValue("@Name", docFileName);
                cmd.Parameters.AddWithValue("@Path", docFilePath);
                conn.Open();
                cmd.ExecuteNonQuery();
                conn.Close();
            }
        }
        return View();
    }
}
}